Auth - User
Copy Page
3enab
👤 User Application
👤 User Application
🏪 Vendor Application
👨💼 Admin Application
🚚 Delivery Application
Auth - User
Register a new user
POST
Login user
POST
Logout user
POST
Refresh access token
POST
Send phone OTP
POST
Verify phone OTP
POST
Send password reset OTP
POST
Verify password reset OTP
POST
Reset password
POST
Addresses - User
Create a new address
POST
Get all addresses
GET
Get default address
GET
Get address by ID
GET
Update address
PUT
Delete address
DELETE
Set as default address
PATCH
Ads - User
Get all advertisements
GET
Get a specific advertisement by ID
GET
Coupons - User
Get available coupons
GET
Delivery Areas - User
Get all active delivery areas
GET
Items - User
Get all items
GET
Get a specific item by ID
GET
Get variants of an item
GET
Get all items (Direct Access)
GET
Get all items for a specific vendor (Direct Access)
GET
Get item by ID (Direct Access)
GET
Menu Categories - User
Get all active menu categories for a vendor
Get a menu category by ID
Orders - User
Preview order pricing
Get all orders
Create a new order
Get order by ID
Cancel order
Rates - User
Create a new rating for a vendor
Get all ratings for a vendor
Get a specific rating by ID
Update a rating
Delete a rating
Users - User
Get current user profile
Update current user profile
Delete current user account
Change user password
Vendor Categories - User
Get all active vendor categories
Get a vendor category by ID
Vendors - User
Get all active vendors
Get vendor by ID
Get vendor logo
Versions - User
Get the latest version for User app
App Notices - User
Get active app notices
Auth - User
Copy Page
Send password reset OTP
POST
/api/v1/auth/send-reset-password-otp
Try it
Run in Apidog
Run in Apidog
Send OTP for password reset
Request
Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params
application/json
Required
Generate Code
Example
{
"phone"
:
1234567890
}
Responses
🟢
200
OK
OTP sent successfully
This response does not have a body.
🟠
404
Not Found
🟠
429
Too Many Requests
Modified at
2026-01-31 17:40:00
Previous
Verify phone OTP
Next
Verify password reset OTP